---
title: "Get approval request by ID"
url: https://hexelstudio.com/docs/api/ciam-iam/approvals/get-approval-request-by-id
---

# Get approval request by ID

**GET** `/approvals/requests/{request_id}`

## Path parameters

- `request_id: string`

  Request ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`ApprovalRequest`)

- `created_at: optional string`

- `expires_at: optional string`

- `id: optional string`

- `reason: optional string`

- `request_data: optional array of integer`

- `request_type: optional string`

- `requester_user_id: optional string`

- `status: optional string`

- `updated_at: optional string`

- `workflow_id: optional string`

## Errors

- `404` Not Found

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/approvals/requests/{request_id}' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "created_at": "2026-01-01T00:00:00Z",
  "expires_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "reason": "string",
  "request_data": [
    0
  ],
  "request_type": "string",
  "requester_user_id": "string",
  "status": "string",
  "updated_at": "2026-01-01T00:00:00Z",
  "workflow_id": "string"
}
```

### Response (404)

```json
{
  "key": "string"
}
```
